# server

HTTP server.

## Features

- Specificity based routing

## Installation

```shell
go get git.akyoto.dev/go/server
```

## Usage

```go
s := server.New()

// Add your routes here.

http.ListenAndServe(":8080", s)
```

### Static

```go
s.Get("/", func(ctx server.Context) error {
	return ctx.String("Hello")
})
```

### Parameter

```go
s.Get("/blog/:post", func(ctx server.Context) error {
	return ctx.String(ctx.Get("post"))
})
```

### Wildcard

```go
s.Get("/images/*file", func(ctx server.Context) error {
	return ctx.String(ctx.Get("file"))
})
```

## Tests

```
PASS: TestRouter
PASS: TestPanic
coverage: 100.0% of statements
```

## Benchmarks

```
```

## License

Please see the [license documentation](https://akyoto.dev/license).

## Copyright

© 2023 Eduard Urbach
